tclap 1.2.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TCLAP::CmdLineOutput Class Referenceabstract

The interface that any output object must implement. More...

`#include <CmdLineOutput.h>`

Inheritance diagram for TCLAP::CmdLineOutput:

## Public Member Functions
virtual | ~CmdLineOutput ()
| Virtual destructor. More...
virtual void | usage (CmdLineInterface &c)=0
| Generates some sort of output for the USAGE. More...
virtual void | version (CmdLineInterface &c)=0
| Generates some sort of output for the version. More...
virtual void | failure (CmdLineInterface &c, ArgException &e)=0
| Generates some sort of output for a failure. More...

## Detailed Description

The interface that any output object must implement.

Definition at line 41 of file CmdLineOutput.h.

## Constructor & Destructor Documentation

virtual TCLAP::CmdLineOutput::~CmdLineOutput | ( |  | ) |
| inline virtual

Virtual destructor.

Definition at line 49 of file CmdLineOutput.h.

## Member Function Documentation

virtual void TCLAP::CmdLineOutput::failure | ( | CmdLineInterface & | c,
|  | ArgException & | e
| ) |  |
| pure virtual

Generates some sort of output for a failure.

Parameters

  c | - The CmdLine object the output is generated for.
  e | - The ArgException that caused the failure.

Implemented in TCLAP::ZshCompletionOutput, TCLAP::DocBookOutput, and TCLAP::StdOutput.

Referenced by TCLAP::CmdLine::parse().

virtual void TCLAP::CmdLineOutput::usage | ( | CmdLineInterface & | c | ) |
| pure virtual

Generates some sort of output for the USAGE.

Parameters

  c | - The CmdLine object the output is generated for.

Implemented in TCLAP::ZshCompletionOutput, TCLAP::DocBookOutput, and TCLAP::StdOutput.

virtual void TCLAP::CmdLineOutput::version | ( | CmdLineInterface & | c | ) |
| pure virtual

Generates some sort of output for the version.

Parameters

  c | - The CmdLine object the output is generated for.

Implemented in TCLAP::ZshCompletionOutput, TCLAP::DocBookOutput, and TCLAP::StdOutput.

The documentation for this class was generated from the following file:

- CmdLineOutput.h